io.undertow.security.api

## Interface AuthenticationMechanismFactory

All Known Implementing Classes:
  BasicAuthenticationMechanism.Factory, ClientCertAuthenticationMechanism.Factory, DigestAuthenticationMechanism.Factory, ExternalAuthenticationMechanism.Factory, GenericHeaderAuthenticationMechanism.Factory, ImmediateAuthenticationMechanismFactory

    public interface AuthenticationMechanismFactory

Factory for authentication mechanisms.

Author:
  Stuart Douglas

### Field Summary

Fields
`static String` `CONTEXT_PATH`
`static String` `DEFAULT_PAGE`
`static String` `ERROR_PAGE`
`static String` `LOGIN_PAGE`
`static String` `OVERRIDE_INITIAL`
`static String` `REALM`

### Method Summary

All Methods Instance Methods Default Methods Deprecated Methods
`default AuthenticationMechanism` `create(String mechanismName, FormParserFactory formParserFactory, Map<String,String> properties)` Deprecated.
`default AuthenticationMechanism` `create(String mechanismName, IdentityManager identityManager, FormParserFactory formParserFactory, Map<String,String> properties)` Creates an authentication mechanism that needs access to the deployment IdentityManager and specified properties

### Field Detail

#### REALM

    static final String REALM

See Also:
  Constant Field Values

#### LOGIN_PAGE

    static final String LOGIN_PAGE

See Also:
  Constant Field Values

#### ERROR_PAGE

    static final String ERROR_PAGE

See Also:
  Constant Field Values

#### CONTEXT_PATH

    static final String CONTEXT_PATH

See Also:
  Constant Field Values

#### DEFAULT_PAGE

    static final String DEFAULT_PAGE

See Also:
  Constant Field Values

#### OVERRIDE_INITIAL

    static final String OVERRIDE_INITIAL

See Also:
  Constant Field Values

### Method Detail

#### create

    @Deprecated
    default AuthenticationMechanism create(String mechanismName,
                                                       FormParserFactory formParserFactory,
                                                       Map<String,String> properties)

Deprecated.
Creates an authentication mechanism using the specified properties

Parameters:
  `mechanismName` - The name under which this factory was registered
  `properties` - The properties
  `formParserFactory` - Parser to create a form data parser for a given request.
Returns:
  The mechanism

#### create

    default AuthenticationMechanism create(String mechanismName,
                                           IdentityManager identityManager,
                                           FormParserFactory formParserFactory,
                                           Map<String,String> properties)

Creates an authentication mechanism that needs access to the deployment IdentityManager and specified properties

Parameters:
  `mechanismName` - The name under which this factory was registered
  `identityManager` - the IdentityManager instance asscociated with the deployment
  `formParserFactory` - Parser to create a form data parser for a given request.
  `properties` - The properties
Returns:
  The mechanism